package com.accenture.eVote.adminms.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;
import java.sql.Timestamp;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ElezioneEvoteDTO {

    private Date dataElezione;
    private Long idTipologiaElezione;
    private Long codFaseElettorale;
    private String tipologiaelezione;
    private Long idDataElezione;
    private Long idElezione;
    private Timestamp dataInizio;
    private Timestamp dataFine;

    public ElezioneEvoteDTO(Date dataElezione, Long idTipologiaElezione, Long codFaseElettorale, String tipologiaelezione, Long idDataElezione, Long idElezione) {
        this.dataElezione = dataElezione;
        this.idTipologiaElezione = idTipologiaElezione;
        this.codFaseElettorale = codFaseElettorale;
        this.tipologiaelezione = tipologiaelezione;
        this.idDataElezione = idDataElezione;
        this.idElezione = idElezione;
    }

}
