package com.accenture.eVote.adminms.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;

@Entity
@Table(name = "MV_SIEL_DATE_ATTIVE")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DateAttiveMV {

    @Id
    private Long chiaveElezione;

    @Column(name = "CHIAVE_ELEZIONE_I_TURNO")
    private Long chiaveElezioneITurno;

    private Long idTipoElezione;

    private String descrTipoElezione;

    private Character idFaseElettoraleSiel;

    private String descrFaseElettoraleSiel;

    private Long chiaveDataElezione;

    private Date dataElezione;
}
