package com.accenture.eVote.adminms.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;

@Entity
@Table(name = "CL_ELEVO_ELETTOREEVOTE")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Elettore {

    @Id
    @Column(name = "ELEVO_USER_ID")
    private Long userId;

    @Column(name = "ELEVO_USERNAME")
    private String username;

    @Column(name = "ELEVO_COGNOME")
    private String cognome;

    @Column(name = "ELEVO_NOME")
    private String nome;

    @Column(name = "ELEVO_DATA_NASCITA")
    private Date dataNascita;

    @Column(name = "ELEVO_LUOGO_NASCITA")
    private String luogoNascita;

    @Column(name = "ELEVO_LUOGO_RESIDENZA")
    private String luogoResidenza;

    @Column(name = "ELEVO_INDIRIZZO_RESIDENZA")
    private String indirizzoResidenza;

    @Column(name = "ELEVO_STATO_ESTERO_RESIDENZA")
    private String statoEsteroResidenza;

    @Column(name = "ELEVO_CODICE_FISCALE")
    private String codiceFiscale;

    @Column(name = "ELEVO_EMAIL")
    private String email;

    @Column(name = "ELEVO_TELEFONO")
    private String telefono;

    @Column(name = "ELEVO_FLAG_VALIDO")
    private Long flagValido;

    @Column(name = "ELEVO_TS_CREAZIONE")
    private Date tsCreazione;

    @Column(name = "ELEVO_TS_MODIFICA")
    private Date tsModifica;

    @Column(name = "ELEVO_TIPCO_TIPODOCUMENTO")
    private Long tipoDocumento;

    @Column(name = "ELEVO_NUM_DOCUMENTO")
    private Long numDocumento;

    @Column(name = "ELEVO_DATA_SCADENZA_DOCUMENTO")
    private Date dataScadenzaDoc;

    @Column(name = "ELEVO_METAU_METODOAUTENTICAZIONE")
    private Long metodoAutenticazione;
}
