package com.accenture.eVote.adminms.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.sql.Timestamp;

@Entity
@Table(name = "CL_ELEVE_ELEVOENTE")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ElevoEnte {

    @Id
    @Column(name = "ELEVE_USER_ID_ELETTORE")
    private Long userId;

    @Column(name = "ELEVE_SEZIONE_GEO_ID")
    private String geoId;

    @Column(name = "ELEVE_DATA_INIZIO_VALIDITA")
    private Timestamp dataInizioValidita;

    @Column(name = "ELEVE_DATA_FINE_VALIDITA")
    private Timestamp dataFineValidita;

}
