package com.accenture.eVote.adminms.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CL_SCRUT_SCRUTINI")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Scrutini {
    @Id
    @Column(name = "SCRUT_SEQ_SCRUTINIO_PK")
    private Long seqScrutinio;

    @Column(name = "SCRUT_SCHRE_SCHEDA")
    private Long fkSchre;

    @Column(name = "SCRUT_TERPA_TERRPARTECIPANTE")
    private Long fkTerpa;

    @Column(name = "SCRUT_NUM_SEZ_PERV_CANDIDATO")
    private Long sezioniPervenuteCandidato;

    @Column(name = "SCRUT_NUM_SEZIONI_PERV_LISTA")
    private Long sezioniPervenuteConsiglio;

    @Column(name = "SCRUT_NUM_VOTANTI_F")
    private Long numeroVotantiF;

    @Column(name = "SCRUT_NUM_VOTANTI_M")
    private Long numeroVotantiM;

    @Column(name = "SCRUT_NUM_SCHEDE_BIANCHE")
    private Long numeroSchedeBianche;
}
