package com.accenture.eVote.adminms.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;

@Entity
@Table(name = "MV_EVOTE_SCRUTINI")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ScrutiniMV {

    @Column(name = "SCRUT_ELEZI_ELEZIONE")
    private Long idElezione;

    @Column(name = "SCRUT_TIPEL_TIPOELEZIONE")
    private Long tipoElezione;

    @Column(name = "SCRUT_TIPEL_DESCRTIPOELEZIONE")
    private String descTipoElezione;

    @Column(name = "SCRUT_DATEL_DATAELEZIONE")
    private Long dataElezione;

    @Column(name = "SCRUT_DATA_ELEZIONE")
    private Date chiaveElezione;

    @Id
    @Column(name = "SCRUT_CHIAVE_ENTE")
    private Long chiaveEnte;

    @Column(name = "SCRUT_GEOID_ENTE")
    private String geoIdEnte;

    @Column(name = "SCRUT_DESCR_ENTE")
    private String descEnte;

    @Column(name = "SCRUT_TIPTE_TIPOENTE")
    private Long tipoEnte;

    @Column(name = "SCRUT_CNFPA_LIVELLOAGGR")
    private Long livelloAggr;

    @Column(name = "SCRUT_ELETT_NUM_MASCHI")
    private Long elettNumMaschi;

    @Column(name = "SCRUT_ELETT_NUM_FEMMINE")
    private Long elettNumFemmine;

    @Column(name = "SCRUT_ELETT_NUM_TOTALI")
    private Long elettNumTotali;

    @Column(name = "SCRUT_NUM_VOTANTI_M")
    private Long numVotantiMaschi;

    @Column(name = "SCRUT_NUM_VOTANTI_F")
    private Long numVotantiFemmine;

    @Column(name = "SCRUT_NUM_VOTANTI_TOT")
    private Long numVotantiTotali;

    @Column(name = "SCRUT_NUM_SCHEDE_BIANCHE")
    private Long numSchedeBianche;
}
