package com.accenture.eVote.adminms.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
@Entity
@Table(name = "CT_TIPGE_TIPOGERARCHIA")
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class TerritorioGerarchiaTipo {

    @Id
    @Column(name = "TIPGE_ID_TIPOGERARCHIA_PK")
    private Long id;

    @Column(name = "TIPGE_DESCR_TIPOGERARCHIA")
    private String descrizione;

    @Column(name = "TIPGE_TIPGE_TIPOGERACRHIA", insertable = false, updatable = false)
    private Long idGerarchiaTipo;

    @OneToOne
    @JoinColumn(name = "TIPGE_TIPGE_TIPOGERACRHIA")
    private TerritorioGerarchiaTipo territorioGerarchiaTipo;
}
