package com.accenture.eVote.adminms.entity;

import com.accenture.eVote.adminms.entity.id.IdVotiLista;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CL_VOTLI_VOTILISTA")
@IdClass(IdVotiLista.class)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VotiLista {

    @Id
    @Column(name = "VOTLI_SCRUT_SCRUTINIO")
    private Long id;

    @Id
    @Column(name = "VOTLI_LISTE_LISTA")
    private Long idLista;

    @Column(name = "VOTLI_NUM_VOTI")
    private Long numVoti;

    @Column(name = "VOTLI_NUM_VOTI_SOLO_LISTA")
    private Long numVotiSoloLista;
}
