package com.accenture.eVote.adminms.model.request;

import com.accenture.eVote.adminms.dto.FinestraElezioneDTO;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.sql.Timestamp;

@Data
public class TempoElettoraleRequest {
    private FinestraElezioneDTO finestraElezioneDTO;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd'T'HH:mm:ss.SSS", timezone = "Europe/Rome")
    private Timestamp dataInizio;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd'T'HH:mm:ss.SSS", timezone = "Europe/Rome")
    private Timestamp dataFine;
    private boolean finestraAttiva;
    private Boolean flagTastoAttivaImmediato;
}
