package com.accenture.eVote.adminms.repository;

import com.accenture.eVote.adminms.entity.Elettore;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface ElettoreRepository extends JpaRepository<Elettore, Long> {
    @Query("SELECT count(*) FROM Elettore e " +
            "INNER JOIN ConsensoVoto cv ON e.userId = cv.userId WHERE cv.flagConsenso = 1 AND cv.idDataElezione = ?1")
    Long countElettori(Long idDataElezione);
}


