package com.accenture.eVote.adminms.repository;

import com.accenture.eVote.adminms.entity.VotCandListaMV;
import com.accenture.eVote.adminms.entity.id.IdVotClMV;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface VotClMVRepository extends JpaRepository<VotCandListaMV, IdVotClMV> {
    //@Query("SELECT v FROM VotCandListaMV v WHERE v.idElezione = ?1 AND v.idLista = ?2 AND v.codEnte = ?3 ORDER BY dataElezione, idDataElezione, tipoElezione, idElezione, chiaveEnte, idLista, numCandidato")
    @Query("SELECT v FROM VotCandListaMV v WHERE v.idElezione = ?1 AND v.idLista = ?2 AND v.codEnte = ?3")
    List<VotCandListaMV> findByElezioneListaEnte(Long idElezione, Long idLista, String codEnte);

}
