package com.accenture.eVote.adminms.repository;

import com.accenture.eVote.adminms.entity.VotListaMV;
import com.accenture.eVote.adminms.entity.id.IdVotListaMV;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface VotListaMVRepository extends JpaRepository<VotListaMV, IdVotListaMV> {

    /*@Query("SELECT v.descEnte, new com.accenture.eVote.adminms.dto.VotListaDTO(v.numLista, v.descLista, v.numVotiLista, v.lista, v.codEnte) " +
            "FROM VotListaMV v WHERE v.idElezione = ?1 AND v.chiaveEnte IN ?2 " +
            "GROUP BY v.descEnte")
    List<VotListaDTO[]> findByElezioneAndChiaveEnte(Long idElezione, List<Long> listChiaveEnte);
     */

   /* @Query("SELECT NEW map(v.descEnte as descEnte, " +
            "                   v.lista as lista, " +
            "                  SUM(v.numVotiLista) as numVotiLista, " +
            "                  MAX(v.numLista) as numLista, " +
            "                  MAX(v.codEnte) as codEnte, " +
            "                  MAX(v.descLista) as descLista, " +
            "                  MAX(v.chiaveEnte) as idTerritorio) " +
            "FROM VotListaMV v " +
            "WHERE v.idElezione = ?1 AND v.chiaveEnte IN ?2 " +
            "GROUP BY v.descEnte, v.lista " +
            "ORDER BY v.dataElezione, v.idDataElezione, v.tipoElezione, v.idElezione, v.chiaveEnte, v.numVotiLista"
    ) */
   @Query("SELECT NEW map(v.descEnte as descEnte, " +
           "                   v.lista as lista, " +
           "                  SUM(v.numVotiLista) as numVotiLista, " +
           "                  MAX(v.numLista) as numLista, " +
           "                  MAX(v.codEnte) as codEnte, " +
           "                  MAX(v.descLista) as descLista, " +
           "                  MAX(v.chiaveEnte) as idTerritorio) " +
           "FROM VotListaMV v " +
           "WHERE v.idElezione = ?1 AND v.chiaveEnte IN ?2 " +
           "GROUP BY v.descEnte, v.lista " +
           "ORDER BY v.descEnte"
   )
    List<Map<String, Object>> findByElezioneAndChiaveEnte(Long idElezione, List<Long> chiaveEnte);
}

