package com.accenture.eVote.apiGateway.strategy;

import org.springframework.cloud.gateway.filter.GatewayFilterChain;
import org.springframework.web.server.ServerWebExchange;
import reactor.core.publisher.Mono;

@FunctionalInterface
public interface AuthStrategy {
    Mono<Void> verifica(ServerWebExchange exchange, GatewayFilterChain chain);
}
