package com.accenture.eVote.apiGateway.util;

import io.jsonwebtoken.Claims;
import io.jsonwebtoken.Jws;
import io.jsonwebtoken.Jwts;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class Crittografia {
    @Value("${sicurezza.codifica.chiave.token.data}")
    private String chiaveData;
    @Value("${sicurezza.codifica.chiave.token.admin}")
    private String chiaveAdmin;
    @Value("${sicurezza.codifica.chiave.token.voto}")
    private String chiaveVoto;
    @Value("${sicurezza.codifica.chiave.session}")
    private String chiaveSessionId;
    @Value("${sicurezza.codifica.algoritmo.token}")
    private String algoritmoToken;
    @Value("${sicurezza.codifica.algoritmo.token.firma}")
    private String algoritmoTokenFirma;
    @Value("${sicurezza.codifica.ivector}")
    private String vettore;

    public String decodificaTokenData(String token) {
        return decodificaStringa(token, chiaveData);
    }

    public String decodificaTokenAdmin(String token){
        return decodificaStringa(token, chiaveAdmin);
    }

    public String decodificaTokenVoto(String token){
        return decodificaStringa(token, chiaveVoto);
    }

    public String decodificaStringa(String payloadCifrato, String chiave) {
        try {
            //Codice eliminato per motivi di sicurezza
            return null;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public boolean verificaScadenzaTokenElettori(String token) {

        //Codice eliminato per motivi di sicurezza
        return false;

    }

    public boolean verificaScadenzaTokenAdmin(String token) {

        //Codice eliminato per motivi di sicurezza
        return false;

    }

    public String getQaFromTokenVoto (String jwtTokenCod) {

        //Codice eliminato per motivi di sicurezza
        return null;

    }

    public String getRuoloFromTokenAdmin(String jwtTokenAdmin){

        //Codice eliminato per motivi di sicurezza
        return null;
    }

    public String decodificaUserId(String userIdCoded) {
        return decodificaStringa(userIdCoded, chiaveSessionId);
    }
}

