import { TipoElezione } from "../TipoElezione";
import { CandidatoLeaderListe } from "./CandidatoLeaderListe";
import { ListaSchedaDTOList } from "./ListaSchedaDTOList";

export interface Scheda {
    idScheda:             number;
    idElezione:           number;
    idTerritorio:         number;
    descTerritorio:       String;
    numPreferenze:        number;
    alternanzaGenere:     boolean;
    listaSchedaDTOList:   ListaSchedaDTOList[];
    candidatoLeaderListe: CandidatoLeaderListe[];
    descrizioneElezione : string;
    dataElezione : Date;
    votata: boolean;
    tempoScaduto: boolean;
    tipoElezione : TipoElezione;
}