import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HeaderComponent } from './components/header/header.component';
import { SecuredModule } from '../secured/secured.module';
import { FooterComponent } from './components/footer/footer.component';
import { TimervotoComponent } from '../../timervoto/timervoto.component';


@NgModule({
  declarations: [
    HeaderComponent,
    FooterComponent,
    TimervotoComponent
  ],
  imports: [
    CommonModule,

  //...
  ],
  exports: [
    HeaderComponent,
    FooterComponent
  ]
})
export class SharedModule { }
