package com.accenture.eVote.elettorims.entity;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CL_ELEAD_ELETTOREAUTODICHIARAZIONE")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Autocertificazione {

    @Id
    @Column(name = "ELEAD_ELEVO_USERID")
    private Long id;

    @Column(name = "ELEAD_TIPAU_COD_TIPO_AUTODICH")
    private Long idTipo;

    @Column(name = "ELEAD_DESCR_PRESSO")
    private String descrizione;

    @ManyToOne
    @JoinColumn(name = "ELEAD_TIPAU_COD_TIPO_AUTODICH",insertable=false, updatable=false)
    private AutocertificazioneTipo autocertificazioneTipo;
}
