package com.accenture.eVote.elettorims.entity;


import com.accenture.eVote.elettorims.entity.id.IdConfTempoElettorale;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;

@Entity
@IdClass(IdConfTempoElettorale.class)
@Table(name = "CF_CNFTE_CONFTEMPOELETTORALE")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ConfTempoElettorale {

    @Id
    @Column(name = "CNFTE_ELEZI_ELEZIONE")
    private Long elezione;

    @Id
    @Column(name = "CNFTE_TIPFI_TIPOFINESTRATEMPORALE")
    private Long tipoFinestraTemporale;

    @Column(name = "CNFTE_DATA_INIZIO")
    private Timestamp dataInizio;

    @Column(name = "CNFTE_DATA_FINE")
    private Timestamp dataFine;


    public void setIdComposto(IdConfTempoElettorale idConfTempoElettorale) {
        this.elezione = idConfTempoElettorale.getElezione();
        this.tipoFinestraTemporale = idConfTempoElettorale.getTipoFinestraTemporale();
    }


}
