package com.accenture.eVote.elettorims.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;

@Entity
@Table(name = "CL_CONSV_CONSENSOVOTO")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ConsensoVoto {

    @Id
    @Column(name = "CONSV_ELEVO_USERID")
    private Long userId;

    @Column(name = "CONSV_FLAG_CONSENSO")
    private Long consensoAttivo;

    @Column(name = "CONSV_DATEL_DATAELEZIONE")
    private Long idDataElezione;

    @Column(name = "CONSV_TS_AGGIORNAMENTO")
    private Timestamp dataAggiornamento;

}
