package com.accenture.eVote.elettorims.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Clob;
import java.sql.Date;

@Entity
@Table(name = "LISTA_CERTIFICATI")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ListaCertificati {

    @Id
    @Column(name = "ID")
    private Long id;

    @Column(name = "START_DATE")
    private java.util.Date startDate;

    @Column(name = "END_DATE")
    private java.util.Date endDate;

    @Column(name = "CERTIFICATE")
    private Clob certificate;

    @Column(name = "CERTIFICATE_CODE")
    private String certificateCode;

    @Column(name = "CERTIFICATE_TYPE")
    private String certificateType;


}
