package com.accenture.eVote.elettorims.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CT_TIPEL_TIPOELEZIONE")
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class TipoElezioni {

    @Id
    @Column(name = "TIPEL_ID_TIPOELEZIONE_PK")
    private Long id;

    @Column(name = "TIPEL_DESCRIZIONE")
    private String descrizione;

    @Column(name = "TIPEL_CODEL_ELEZIONE")
    private String codiceEvento;

    @Column(name = "TIPEL_LABEL_DESCRIZIONE")
    private String descrizioneAlternativa;
}
