package com.accenture.eVote.elettorims.repository;

import com.accenture.eVote.elettorims.entity.ConfTempoElettorale;
import com.accenture.eVote.elettorims.entity.id.IdConfTempoElettorale;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ConfTempoElettoraleRepository extends JpaRepository<ConfTempoElettorale, IdConfTempoElettorale> {
    ConfTempoElettorale findByElezioneAndTipoFinestraTemporale(Long dataElezioneId, Long l);

    @Query("SELECT c FROM ConfTempoElettorale c, Elezioni e WHERE " +
            "e.idElezione = c.elezione AND e.idDataElezione = ?1 AND c.tipoFinestraTemporale = ?2")
    List<ConfTempoElettorale> findByIdDataElezioneAndTipoFinestraTemporale(Long idDataElezione, Long valore);
}


