package com.accenture.eVote.elettorims.repository;

import com.accenture.eVote.elettorims.entity.Elettore;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Repository
public interface ElettoreRepository extends JpaRepository<Elettore, Long> {
    Elettore findByCodiceFiscale(String cf);

    List<Elettore> findByNomeAndCognomeAndDataNascita(String nome, String cognome, Date dataNascita);
}
