package com.accenture.eVote.elettorims.repository;

import com.accenture.eVote.elettorims.entity.ElettoreScheda;
import com.accenture.eVote.elettorims.entity.id.IdElettoreScheda;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ElettoreSchedaRepository extends JpaRepository<ElettoreScheda, IdElettoreScheda> {
    @Query("SELECT s.schedaVoto FROM ElettoreScheda s WHERE s.userId = ?1 AND s.flagAccettazione = ?2")
    List<Long> findIdsSchedeAccettate(Long userId, Long flagAccet);
}
