package com.accenture.eVote.elettorims.service;

import com.accenture.eVote.elettorims.entity.TipoDocumento;
import com.accenture.eVote.elettorims.mapper.TipoDocumentoMapper;
import com.accenture.eVote.elettorims.model.response.TipoDocumentoResponse;
import com.accenture.eVote.elettorims.repository.TipoDocumentoRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class TipoDocumentoService {

    @Autowired
    private TipoDocumentoRepository tipoDocumentoRepository;
    @Autowired
    private TipoDocumentoMapper tipoDocumentoMapper;


    public TipoDocumentoResponse getAll(){

        TipoDocumentoResponse tipoDocumentoResponse = new TipoDocumentoResponse();
        List<TipoDocumento> tipoDocumentoList = tipoDocumentoRepository.findAll();
        tipoDocumentoResponse.setTipoDocumentoList(tipoDocumentoList.stream()
                .map(tipoDocumentoMapper::toDto)
                .collect(Collectors.toList()));
        return tipoDocumentoResponse;

    }
}
