import { Component } from '@angular/core';
import { Title } from '@angular/platform-browser';
import { ActivatedRoute, Router } from '@angular/router';

@Component({
  selector: 'app-welcome-page',
  templateUrl: './welcome-page.component.html',
  styleUrls: ['./welcome-page.component.css']
})
export class WelcomePageComponent {

  showBannerCookies = true;

  constructor(
    private route: ActivatedRoute,
    private router: Router,
    private titleService: Title) {
      this.titleService.setTitle('Home page | E-Vote');
    }

  goHome(){
    this.router.navigate(['auth/login/tabs']);
  }
}
