package com.accenture.eVote.schedems.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SchedaDTO {

    private Long idScheda;
    private Long idElezione;
    private Long idTerritorio;
    private String descTerritorio;
    private Long numPreferenze;
    private boolean alternanzaGenere;
    private Date dataElezione;
    private String descrizioneElezione;
    private List<ListaSchedaDTO> listaSchedaDTOList;
    private List<CandidatoLeaderDTO> candidatoLeaderListe;

}
