package com.accenture.eVote.schedems.entity;

import com.accenture.eVote.schedems.entity.id.IdCoterCoaliTerpa;
import com.fasterxml.jackson.annotation.JsonInclude;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@IdClass(IdCoterCoaliTerpa.class)
@Table(name = "CL_COTER_COALITERPA")
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class CoterCoaliTerpa {
    @Id
    @Column(name = "COTER_TERPA_TERRPARTECIPANTE")
    private Long idTerritorio;
    @Id
    @Column(name = "COTER_CONTR_CONTRASSEGNO")
    private Long idContrassegno;
    @Id
    @Column(name = "COTER_CONTR_PRG_CONTRASSEGNO")
    private Long prgContrassegno;
    @Id
    @Column(name = "COTER_LISTE_LISTA")
    private Long idLista;
    @Id
    @Column(name = "COTER_COALI_COALIZIONE")
    private Long idCoalizione;
    @Column(name = "COTER_NUM_LISTA")
    private Long ordinamentoLista;
    @Column(name = "COTER_NUM_COALIZIONE")
    private Long numCoalizione;
    @Column(name = "COTER_NUM_CANDID_M")
    private Long numCandidatoM;
    @Column(name = "COTER_NUM_CANDID_F")
    private Long numCandidatoF;
    @Column(name = "COTER_NUM_CANDID_TOT")
    private Long numCandidatiTot;
    
}
