package com.accenture.eVote.schedems.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;

@Entity
@Table(name = "CL_ENTE_ENTE")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Ente {

    @Id
    @Column(name = "ENTE_GEO_ID")
    private String geoId;

    @Column(name = "ENTE_DESCR_ENTE")
    private String descrizione;

    @Column(name = "ENTE_DATA_INIZIO_VALIDITA")
    private Date dataInizio;

    @Column(name = "ENTE_DATA_FINE_VALIDITA")
    private Date dataFine;

    @Column(name = "ENTE_COD_TIPOENTE")
    private Long codTipoEnte;

}
