package com.accenture.eVote.schedems.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CT_METAU_METODOAUTENTICAZIONE")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MetodoAutenticazione {

    @Id
    @Column(name = "METAU_SEQ_ID_TIPOAUTENTICAZIONE")
    private Long id;

    @Column(name = "METAU_DESCR_TIPOAUTENTICAZIONE")
    private String descrizione;

    @Column(name = "METAU_DESCR_BREVE_TIPOAUTENTICAZIONE")
    private String descrizioneBreve;

    public MetodoAutenticazione(Long id){
        this.id = id;
    }
}
