package com.accenture.eVote.schedems.entity;

import com.accenture.eVote.schedems.entity.id.IdRicevutaScheda;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CL_RICSC_RICEVUTASCHEDA")
@Data
@NoArgsConstructor
@AllArgsConstructor
@IdClass(IdRicevutaScheda.class)
public class RicevutaScheda {

    @Id
    @Column(name = "RICSC_ELEVO_USER_ID")
    private Long userId;

    @Id
    @Column(name = "RICSC_SCHFS_SCHEDAVOTO")
    private Long schedaId;

    @Column(name = "RICSC_DOC_RICEVUTASCHEDA")
    private byte[] docRicevutaScheda;

    @Column(name = "RICSC_FLAG_VOTATO")
    private String flagVotato;

    public RicevutaScheda(Long userId, Long schedaId, String flagVotato) {
        this.userId = userId;
        this.schedaId = schedaId;
        this.flagVotato = flagVotato;
    }
}
