package com.accenture.eVote.schedems.service;

import com.accenture.eVote.schedems.entity.MetodoAutenticazione;
import com.accenture.eVote.schedems.mapper.MetodoAutenticazioneMapper;
import com.accenture.eVote.schedems.model.response.MetodoAutenticazioneResponse;
import com.accenture.eVote.schedems.repository.MetodoAuteticazioneRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class MetodoAutenticazioneService {
    @Autowired
    MetodoAuteticazioneRepository metodoAuteticazioneRepository;
    @Autowired
    MetodoAutenticazioneMapper metodoAutenticazioneMapper;

    public MetodoAutenticazioneResponse getAll(){
        MetodoAutenticazioneResponse metodoAutenticazioneResponse = new MetodoAutenticazioneResponse();
        List<MetodoAutenticazione> metodoAutenticazioneList = metodoAuteticazioneRepository.findAll();
        metodoAutenticazioneResponse.setMetodoAutenticazioneList(metodoAutenticazioneList.stream()
                .map(metodoAutenticazioneMapper::toDto)
                .collect(Collectors.toList()));

        return metodoAutenticazioneResponse;
    }
}
