package com.accenture.eVote.schedems.service;

import com.accenture.eVote.schedems.entity.TipoDocumento;
import com.accenture.eVote.schedems.mapper.TipoDocumentoMapper;
import com.accenture.eVote.schedems.model.response.TipoDocumentoResponse;
import com.accenture.eVote.schedems.repository.TipoDocumentoRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class TipoDocumentoService {

    @Autowired
    TipoDocumentoRepository tipoDocumentoRepository;
    @Autowired
    TipoDocumentoMapper tipoDocumentoMapper;


    public TipoDocumentoResponse getAll(){

        TipoDocumentoResponse tipoDocumentoResponse = new TipoDocumentoResponse();
        List<TipoDocumento> tipoDocumentoList = tipoDocumentoRepository.findAll();
        tipoDocumentoResponse.setTipoDocumentoList(tipoDocumentoList.stream()
                .map(tipoDocumentoMapper::toDto)
                .collect(Collectors.toList()));
        return tipoDocumentoResponse;

    }
}
