package com.accenture.eVote.urnams.controller;

import com.accenture.eVote.urnams.dto.ResponseSchedeUrna;
import com.accenture.eVote.urnams.dto.ResponseUrna;
import com.accenture.eVote.urnams.service.UrnaService;
import jakarta.validation.Valid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@RestController
@RequestMapping("/protected/urna")
public class UrnaController {

    @Autowired
    private UrnaService urnaService;

    @PostMapping("/voto-bc")
    public ResponseEntity<ResponseUrna> getVotoBc(@RequestBody @Valid List<String> listGeoId) {
        return ResponseEntity.ok().body(urnaService.getVotoBc(listGeoId));
    }

    @GetMapping("/schede-votate")
    public ResponseEntity<ResponseSchedeUrna> getSchedeVotate() {
        return ResponseEntity.ok().body(urnaService.getSchedeVotate());
    }
}