package com.accenture.eVote.urnams.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "VOTO_BC")
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class VotoBc {

    @Id
    @Column(name = "ID")
    private Long id;

    @Column(name = "ACCETTAZIONE")
    private String accettazione;

    @Column(name = "VOTO")
    private String voto;

    @Column(name = "GEOID")
    private String geoId;

    @Column(name = "SCHEDE_VOTATE")
    private String idSchedeVotate;

    @Column(name = "SCHEDE_NON_VOTATE")
    private String idSchedeNonVotate;

}
