package com.accenture.eVote.votoms.entity;

import com.accenture.eVote.votoms.entity.id.IdConfigParametri;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;

@Entity
@IdClass(IdConfigParametri.class)
@Table(name = "CF_CNFPA_CONFIGPARAMETRI")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ConfigParametri {

    @Id
    @Column(name = "CNFPA_PARAM_TIPOLOGIA_PARAM")
    private Long tipologiaParametro;

    @Id
    @Column(name = "CNFPA_TIPEL_TIPOLOGIA_ELEZ")
    private Long tipologiaElezione;

    @Column(name = "CNFPA_VALORE_PARAMETRO")
    private Long valoreParametro;

    @Column(name = "CNFPA_FLAG_ATTIVAZIONE")
    private Long flagAttivazione;


    public void setIdComposto(IdConfigParametri idConfigParametri) {
        this.tipologiaParametro = idConfigParametri.getTipologiaParametro();
        this.tipologiaElezione = idConfigParametri.getTipologiaElezione();
    }
}
