package it.evota.registrate.repository;

import java.util.Date;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import it.evota.registrate.entities.ListaCertificati;

@Repository
public interface ListaCertificatiRepository extends JpaRepository<ListaCertificati, Long> {

    ListaCertificati findByStartDateIsNullAndEndDateIsNullOrStartDateBeforeAndEndDateAfterAndCertificateCodeEquals(Date startDate, Date endDate, String certificateCode);


}