package it.evota.registrate;

import static org.junit.jupiter.api.Assertions.assertTrue;

import java.io.ByteArrayOutputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.security.Key;
import java.security.KeyPair;
import java.security.KeyPairGenerator;
import java.security.PrivateKey;
import java.security.PublicKey;

import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.http.MediaType;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.jdbc.Sql;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.request.MockMvcRequestBuilders;
import org.springframework.test.web.servlet.result.MockMvcResultMatchers;

import com.fasterxml.jackson.databind.ObjectMapper;

import it.evota.registrate.dto.EvoteRequestType;
import it.evota.registrate.entities.ListaCertificati;
import it.evota.registrate.repository.ListaCertificatiRepository;
import it.evota.registrate.service.BcRegistrateService;
import it.evota.registrate.util.exception.EVoteAppException;
import it.evota.registrate.util.exception.EVoteAppException.ErrorCode;

@Sql("/testData.sql")
@SpringBootTest(classes = RegistrateEVotoApplication.class)
@AutoConfigureMockMvc
@ActiveProfiles("test")

class RegistrateEVotoApplicationTests {
	@Autowired
	private MockMvc mockMvc;

	@Autowired
	private ObjectMapper objectMapper;

	@Autowired
	BcRegistrateService service;
	


	@Autowired
	ListaCertificatiRepository repoCert;

	private static final int GCM_IV_LENGTH = 12;
	private static final int GCM_TAG_LENGTH = 128;

	@Test
	//@Disabled
	public void testRegistrateToken() throws Exception {
		//Codice eliminato per motivi di sicurezza
	}

	@Test
	@Disabled
	public void testRegistrateTokenGenTestFile() throws Exception {
		//Codice eliminato per motivi di sicurezza
	}

	public void writeBytesToFile(byte[] data, String filePath) throws IOException {
		try (FileOutputStream fos = new FileOutputStream(filePath)) {
			fos.write(data);
		}
	}

	@Test
	@Disabled
	public void testRegistrateTokenRSA() throws Exception {
		//Codice eliminato per motivi di sicurezza
	}

	@Test
	@Disabled
	public void testRegistrateTokenAES() throws Exception {
		//Codice eliminato per motivi di sicurezza
	}

	@SuppressWarnings("unused")
	private PublicKey readPublicKey(String certificateCode) throws Exception {
		//Codice eliminato per motivi di sicurezza
		return null;
	}

	private PrivateKey readPrivateKey(String certificateCode) throws Exception {
		//Codice eliminato per motivi di sicurezza
		return null;
	}

	public static byte[] encryptAES(String text, Key rsaKey) throws Exception {
		//Codice eliminato per motivi di sicurezza
		return null;
	}

	public static String decryptAES(byte[] encryptedData, Key rsaKey) throws Exception {
		//Codice eliminato per motivi di sicurezza
		return null;
	}

	public static KeyPair generateKeyPair(Integer size) throws Exception {
		//Codice eliminato per motivi di sicurezza
		return null;
	}

	public static byte[] encrypt(byte[] text, Key k) throws Exception {
		//Codice eliminato per motivi di sicurezza
		return null;
	}

	public static byte[] encrypt(String text, Key k) throws Exception {
		return null;
	}

	public static String decrypt(byte[] encryptedText, Key k) throws Exception {
		//Codice eliminato per motivi di sicurezza
		return null;
	}

	public static String decrypt(String text, Key k) throws Exception {
		return null;
	}
}
