package it.evota.validate.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

//Swagger configurato, riferimenti:https://springdoc.org/
//  http://server:port/context-path/swagger-ui.html
@Configuration
@ComponentScan(basePackages = { "it.evota.validate.controller", "it.evota.validate.service",
		"it.evota.validate.repository" })
public class AppConfig {

	@Value("${evote.generate.rest.api.base.path}")
	private String generateRestApiBasePath;

	public String getGenerateRestApiBasePath() {
		return generateRestApiBasePath;
	}

	@Value("${evote.generate.rest.api.service.path}")
	private String generateRestApiServicePath;

	public String generateRestApiServicePath() {
		return generateRestApiServicePath;
	}

	@Value("${evote.generate.rest.api.port}")
	private String generateRestApiPort;

	public String generateRestApiPort() {
		return generateRestApiPort;
	}

	@Value("${server.port}")
	private String serverPort;

	public String serverPort() {
		return serverPort;
	}

}
