package it.evota.validate.entities;

import java.sql.Clob;
import java.util.Date;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;


@Entity
@Table(name = "LISTA_CERTIFICATI")
public class ListaCertificati { 

	@Id
	@Column(name = "ID")
	private Long id;

	@Column(name = "START_DATE")
	private Date startDate;

	@Column(name = "END_DATE")
	private Date endDate;

	@Column(name = "CERTIFICATE")
	private Clob certificate;

	@Column(name = "CERTIFICATE_CODE")
	private String certificateCode;

	@Column(name = "CERTIFICATE_TYPE")
	private String certificateType;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Clob getCertificate() {
		return certificate;
	}

	public void setCertificate(Clob certificate) {
		this.certificate = certificate;
	}

	public String getCertificateCode() {
		return certificateCode;
	}

	public void setCertificateCode(String certificateCode) {
		this.certificateCode = certificateCode;
	}

	public String getCertificateType() {
		return certificateType;
	}

	public void setCertificateType(String certificateType) {
		this.certificateType = certificateType;
	}

}