package com.accenture.eVote.adminms.controller;

import com.accenture.eVote.adminms.model.response.LoginResponse;
import com.accenture.eVote.adminms.service.LoginService;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/admin")
public class LoginController {

    @Autowired
    private LoginService loginService;
    @Value("${url.frontend.auth}")
    private String urlAuth;
    @GetMapping("/login")
    public LoginResponse login (HttpServletRequest loginRequest){
        return loginService.login(loginRequest);
    }
}
