package com.accenture.eVote.adminms.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Objects;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ListaSchedaDTO {

    private Long idlista;
    private String descLista;
    private Long territorio;
    private Long territorioPadre;
    private String territorioDesc;
    private String territorioPadreDesc;
    private Long idElezione;
    private List<CandidatoSchedaDTO> listaCandidati;

    // Id Scrutinio
    private Long idScrutinio;

    public ListaSchedaDTO(ListaSchedaDTO listaSchedaDTO){
        this.idlista =listaSchedaDTO.getIdlista();
        this.descLista = listaSchedaDTO.getDescLista();
        this.territorio = listaSchedaDTO.getTerritorio();
        this.territorioPadre = listaSchedaDTO.getTerritorioPadre();
        this.territorioDesc = listaSchedaDTO.getTerritorioDesc();
        this.territorioPadreDesc = listaSchedaDTO.getTerritorioPadreDesc();
        this.idElezione = listaSchedaDTO.getIdElezione();
        this.listaCandidati = listaSchedaDTO.getListaCandidati();
        this.idScrutinio = listaSchedaDTO.getIdScrutinio();
    }
    @Override
    public boolean equals(Object o){
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ListaSchedaDTO listaSchedaDTO = (ListaSchedaDTO) o;
        return Objects.equals(idlista,listaSchedaDTO.idlista) && Objects.equals(idScrutinio,listaSchedaDTO.idScrutinio);
    }

    @Override
    public int hashCode() {
        return Objects.hash(idlista);
    }
}
