package com.accenture.eVote.adminms.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;

@Entity
@Table(name = "CL_CANDI_CANDIDATI")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Candidato {

    @Id
    @Column(name = "CANDI_SEQ_CANDIDATO_PK")
    private Long id;

    @Column(name = "CANDI_DESCR_NOME")
    private String nome;

    @Column(name = "CANDI_DESCR_COGNOME")
    private String cognome;

    @Column(name = "CANDI_DATA_NASCITA")
    private Date dataNascita;

    @Column(name = "CANDI_DESCR_SESSO")
    private String sesso;

    @Column(name = "CANDI_DESCR_LUOGONASCITA")
    private String luogoNascita;

    @Column(name = "CANDI_CODICE_FISCALE")
    private String codiceFiscale;

    @Column(name = "CANDI_DESCR_ALTRONOME")
    private String descrizioneAltronome;

}
