package com.accenture.eVote.adminms.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CL_ELESC_ELETTORESCHEDA")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ElettoreScheda {

    @Id
    @Column(name = "ELESC_ELEVO_USER_ID")
    private Long userId;

    @Column(name = "ELESC_ENTE_GEO_ID")
    private String enteGeoId;

    @Column(name = "ELESC_FLAG_ACCETTAZIONE")
    private Long flagAccettazione;

    @Column(name = "ELESC_SCHFS_SCHEDAVOTO")
    private Long schedaVoto;
}
