package com.accenture.eVote.adminms.entity;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CL_ELEZI_ELEZIONI")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Elezioni {

    @Id
    @Column(name = "ELEZI_ID_ELEZIONE_PK")
    private Long idElezione;

    @Column(name = "ELEZI_DATEL_DATAELEZIONE")
    private Long idDataElezione;

    @Column(name = "ELEZI_TIPEL_TIPOLOGIA_ELEZ")
    private Long tipologiaElezione;

    @Column(name = "ELEZI_COD_FASE_ELETTORALE")
    private Long codFaseElettorale;

    @Column(name = "ELEZI_FLAG_PRELEVADASIEL")
    private Character flagPrelevaDaSiel;


}
