package com.accenture.eVote.adminms.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;

@Entity
@Table(name = "CL_GUIVO_GUIDAVOTO")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class GuidaVoto {

    @Id
    @Column(name = "GUIVO_TIPEL_TIPOELEZIONE")
    private Long idGuidaVoto;

    @Column(name = "GUIVO_GUIDAELEZIONE")
    private String contenutoGuidaVoto;

    @Column(name = "GUIVO_DATA_INIZIO_VAL")
    private Date dataInizioGuidaVoto;

    @Column(name = "GUIVO_DATA_FINE_VAL")
    private Date dataFineGuidaVoto;
}
