package com.accenture.eVote.adminms.entity;

import com.accenture.eVote.adminms.entity.id.IdVotClMV;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Entity
@IdClass(IdVotClMV.class)
@Table(name = "MV_EVOTE_VOTCL")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VotCandListaMV {

    @Id
    @Column(name = "VOTCL_CHIAVE_ENTE")
    private Long chiaveEnte;

    @Id
    @Column(name = "VOTCL_CANLI_LISTA")
    private Long idLista;

    @Id
    @Column(name = "VOTCL_CANLI_CANDIDATO")
    private Long candidato;

    @Column(name = "VOTCL_ELEZI_ELEZIONE")
    private Long idElezione;

    @Column(name = "VOTCL_TIPEL_TIPOELEZIONE")
    private Long tipoElezione;

    @Column(name = "VOTCL_TIPEL_DESCRTIPOELEZIONE")
    private String descTipoElezione;

    @Column(name = "VOTCL_DATEL_DATAELEZIONE")
    private Long idDataElezione;

    @Column(name = "VOTCL_DATA_ELEZIONE")
    private Date dataElezione;

    @Column(name = "VOTCL_NUM_VOTI_CANDIDATOLISTA")
    private Long numVotiCandidatoLista;

    @Column(name = "VOTCL_DESCR_ENTE")
    private String descrizioneEnte;

    @Column(name = "VOTCL_TIPTE_TIPOENTE")
    private Long tipoEnte;

    @Column(name = "VOTCL_CNFPA_LIVELLOAGGREGAZIONE")
    private Long livelloAggregazione;

    @Column(name = "VOTCL_COD_ENTE")
    private String codEnte;

    @Column(name = "NUM_CANDIDATO")
    private Long numCandidato;

    @Column(name = "CANDI_DESCR_NOME")
    private String nome;

    @Column(name = "CANDI_DESCR_COGNOME")
    private String cognome;

    @Column(name = "CANDI_TIPO_ALTRONOME")
    private String tipoAltroNome;

    @Column(name = "CANDI_DESCR_ALTRONOME")
    private String altronome;

    @Column(name = "CANDI_DATA_NASCITA")
    private Date dataNascita;

    @Column(name = "CANDI_DESCR_LUOGONASCITA")
    private String luogoNascita;

    @Column(name = "CANDI_DESCR_SESSO")
    private char sesso;

    @Column(name = "CANDI_CODICE_FISCALE")
    private char codFiscale;
}
