package com.accenture.eVote.adminms.entity;

import com.accenture.eVote.adminms.entity.id.IdVotListaMV;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;

@Entity
@IdClass(IdVotListaMV.class)
@Table(name = "MV_EVOTE_VOTLI")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class    VotListaMV {

    @Column(name = "VOTLI_ELEZI_ELEZIONE")
    private Long idElezione;

    @Column(name = "VOTLI_TIPEL_TIPOELEZIONE")
    private Long tipoElezione;

    @Column(name = "VOTLI_TIPEL_DESCRTIPOELEZIONE")
    private String descTipoElezione;

    @Column(name = "VOTLI_DATEL_DATAELEZIONE")
    private Long idDataElezione;

    @Column(name = "VOTLI_DATA_ELEZIONE")
    private Date dataElezione;

    @Id
    @Column(name = "VOTLI_CHIAVE_ENTE")
    private Long chiaveEnte;

    @Column(name = "VOTLI_COD_ENTE")
    private String codEnte;

    @Column(name = "VOTLI_DESCR_ENTE")
    private String descEnte;

    @Column(name = "VOTLI_TIPTE_TIPOENTE")
    private Long tipoEnte;

    @Column(name = "VOTLI_CNFPA_LIVELLOAGGREGAZIONE")
    private Long livelloAggregazione;

    @Id
    @Column(name = "VOTLI_LISTE_LISTA")
    private Long lista;

    @Column(name = "VOTLI_NUM_VOTI_LISTA")
    private Long numVotiLista;

    @Column(name = "VOTLI_NUM_VOTI_SOLO_LISTA")
    private Long numVotiSoloLista;

    @Column(name = "NUM_LISTA")
    private Long numLista;

    @Column(name = "DESCR_LISTA")
    private String descLista;
}
