package com.accenture.eVote.adminms.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CL_VOTAN_VOTANTI")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Votanti {

    @Id
    @Column(name = "VOTAN_SEQ_VOTANTI_PK")
    private Long idVotanti;
    @Column(name = "VOTAN_TERPA_TERRPARTECIPANTE")
    private Long idTerpa;
    @Column(name = "VOTAN_NUM_MASCHI")
    private Long numeroVotantiM;
    @Column(name = "VOTAN_NUM_FEMMINE")
    private Long numeroVotantiF;
    @Column(name = "VOTAN_NUM_TOTALI")
    private Long votantiTotali;
    @Column(name = "VOTAN_SCHRE_SCHEDA")
    private Long votanSchreScheda;
    @Column(name = "VOTAN_TERPA_TERRITORIO_EE")
    private Long votanTerpaTerritorioEE;

}
