package com.accenture.eVote.adminms.entity;

import com.accenture.eVote.adminms.entity.id.IdVotiCandLista;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CL_VOTCL_VOTICANDLISTA")
@IdClass(IdVotiCandLista.class)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VotiCandLista {

    @Id
    @Column(name = "VOTCL_VOTLI_SCRUTINIO")
    private Long id;

    @Column(name = "VOTCL_VOTLI_LISTA")
    private Long idLista;

    @Column(name = "VOTCL_CANLI_CANDIDATO")
    private Long idCandidato;

    @Column(name = "VOTCL_NUM_VOTI")
    private Long numVoti;
}
