package com.accenture.eVote.adminms.repository;

import com.accenture.eVote.adminms.entity.Scrutini;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.query.Procedure;
import org.springframework.data.repository.query.Param;

public interface ScrutiniRepository extends JpaRepository<Scrutini, Long> {

    Scrutini findByFkTerpa(Long idTerritorio);

    @Procedure("COMPLETA_SCRUT_NON_VOT")
    void completaScrutinioNonVot(@Param("inDate") Long idDataElezione);
    @Procedure("CARICA_ELETTORI")
    void caricaElettori(@Param("inTerritorio") Long idTerritorio);

}
