import { AltroNome } from "./AltroNome";
import { Elezione } from "./Elezione";
import { TerritorioGerarchia } from "./TerritorioGerarchia";

export interface Territorio {
    id:                  number;
    idGerTerritorio:     number;
    idTerritorioPadre:   number;
    idElezione:          number;
    codiceEnteLivello:   String;
    descrizioneEnte:     String;
    flagOspedaliera:     String;
    geoId:               String;
    geoIdPrGuida:        String;
    geoIdPfGuida:        String;
    idTipoTerritorio:    number;
    flagEvote:           String;
    territorioGerarchia: TerritorioGerarchia;
    territorioPadre:     String;
    elezione:            Elezione;
    territorioTipo:      AltroNome;
}