import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { SecuredRoutingModule } from './secured-routing.module';
import { SecuredComponent } from './secured.component';
import { HomepageComponent } from './components/homepage/homepage.component';
import { SharedModule } from '../shared/shared.module';
import { HttpClientModule } from '@angular/common/http';
import { VotaelencolisteComponent } from './components/votaelencoliste/votaelencoliste.component';
import { ErrorPageComponent } from './components/error-page/error-page.component';


@NgModule({
  declarations: [
    SecuredComponent,
    HomepageComponent,
    VotaelencolisteComponent,
    ErrorPageComponent
  ],
  imports: [
    CommonModule,
    SecuredRoutingModule,
    SharedModule,
    HttpClientModule
  ]
})
export class SecuredModule { }
