import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { GuidaVoto } from '../../models/GuidaVoto';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class GuidavotoService {

  constructor(private http : HttpClient) {
    
   }

   public  getGuidaVoto(id : number) {
    const url = `${environment.api}${environment.getGuidaVoto}${id}`;
    return this.http.get<GuidaVoto>(url);
  }
}
