import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-footer',
  templateUrl: './footer.component.html',
  styleUrls: ['./footer.component.scss']
})
export class FooterComponent implements OnInit{
  constructor(private router : Router){
    router.events.subscribe(() => {
      if(this.router.url.includes('votaelencoliste') || this.router.url.includes('error')){
        this.showFooter = 'none';
      } 
      else{
        this.showFooter = 'block';
  
      }
    })

  }
  ngOnInit(): void {
    if(this.router.url.includes('votaelencoliste')){
      this.showFooter = 'none';
    } 
  }
  public showFooter: string = '';

  link(event:any){
    if(event.target.id === '1'){
      document.location.href = 'https://www.interno.gov.it/it';
    }
    else{
      document.location.href = 'https://dait.interno.gov.it/';
    }
  }

}
