const JavaScriptObfuscator = require('webpack-obfuscator');

module.exports = {
  plugins: [
    new JavaScriptObfuscator({
      compact: true,
      selfDefending: true,
      stringArray: true,
      deadCodeInjection: true,
      deadCodeInjectionThreshold: 0.4,
      identifierNamesGenerator: 'hexadecimal',
      seed: 0,
      sourceMap: false, 
      transformObjectKeys: true,
      unicodeEscapeSequence: false
    }, ['ignored.js'])
  ]
};
