package com.accenture.eVote.elettorims.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebMvcConfig implements WebMvcConfigurer {
    private final JwtTokenInterceptor jwtTokenInterceptor;

    public WebMvcConfig(JwtTokenInterceptor jwtTokenInterceptor) {
        this.jwtTokenInterceptor = jwtTokenInterceptor;
    }


    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // Aggiungi JwtTokenInterceptor con il percorso delle richieste che devono essere intercettate
        //registry.addInterceptor(jwtTokenInterceptor).excludePathPatterns("/elettore/login/authsg/**", "/login/authsg/**", "/errorsg", "/swagger-ui/**", "/actuator/prometheus");
    }
}
