package com.accenture.eVote.elettorims.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "EXT_ELETTORI_MAECI")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ElettoreMAECI {

    @Id
    @Column(name = "ID_ELETTORE_MAECI")
    private Long id;
    @Column(name = "CODICE_FISCALE")
    private String codiceFiscale;
    @Column(name = "NOME")
    private String nome;
    @Column(name = "COGNOME")
    private String cognome;
    @Column(name = "COGNOME_CONIUGE")
    private String cognomeConiuge;
    @Column(name = "DATA_NASCITA")
    private String dataNascita;
    @Column(name = "CODICE_SESSO")
    private String codiceSesso;
    @Column(name = "STATO_CIVILE")
    private String statoCivile;
    @Column(name = "CODICE_RELAZIONE_PARENTELA")
    private String codiceRelazioneParentela;
    @Column(name = "LUOGO_NASCITA")
    private String luogoNascita;
    @Column(name = "COMUNE_NASCITA")
    private String comuneNascita;
    @Column(name = "STATO_NASCITA")
    private String statoNascita;
    @Column(name = "CODICE_CONSOLATO_DI_COMPETENZA")
    private String codiceConsolatoCompetenza;
    @Column(name = "CODICE_STATO_ESTERO_DI_RESIDENZA")
    private String codiceStatoEsteroResidenza;
    @Column(name = "CODICE_TERRITORIO_ESTERO_DI_RESIDENZA")
    private String codiceTerritorioEteroResidenza;
    @Column(name = "COMUNE_ISCRIZIONE_AIRE")
    private String comuneIscrizioneAire;
    @Column(name = "COMUNE_DI_ULTIMA_RESIDENZA")
    private String comuneUltimaResidenza;
    @Column(name = "COMUNE_ESTREMI_NASCITA")
    private String comuneEstremiNascita;
    @Column(name = "CODICE_ISCRIZIONE_MAE")
    private String codiceIscrizioneMae;
    @Column(name = "CODICE_FAMIGLIA_ANAGRAFICA_MAE")
    private String codiceFamigliaAnagraficaMae;
    @Column(name = "CODICE_ISCRIZIONE_AIRE")
    private String codiceIscrizioneAire;
    @Column(name = "CODICE_FAMIGLIA_AIRE")
    private String codiceFamigliaAire;
    @Column(name = "CAP")
    private String cap;
    @Column(name = "INDIRIZZO")
    private String indirizzo;
    @Column(name = "NUMERO_CIVICO")
    private String numeroCivico;
    @Column(name = "LOCALITA")
    private String localita;
    @Column(name = "PROVINCIA_CONTEA")
    private String provinciaContea;
    @Column(name = "PRESSO")
    private String presso;
    @Column(name = "PRESSO_SIFC")
    private String pressoSifc;
    @Column(name = "PROGRESSIVO")
    private String progressivo;
    @Column(name = "FLAG")
    private String flag;
    @Column(name = "SISTEMA_POSTALE_UTILIZZATO")
    private String sistemaPostaleUtilizzato;
    @Column(name = "DATA_ARRIVO_ULTIMA_CIRCOSCRIZIONE")
    private String dataArrivoUltimaCircoscrizione;
    @Column(name = "FASCICOLO_SIFC")
    private String fascicoloSifc;
    @Column(name = "GEO_ID_CONSOLATO")
    private String geoIdConsolato;
    @Column(name = "FLAG_DIRITTO_VOTO")
    private String flagDirittoVoto;
}
