package com.accenture.eVote.elettorims.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;

@Entity
@Table(name = "EXT_ELEMA_ELETTORIMAECI")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ElettoreMAECI2 {

    @Id
    @Column(name = "ID")
    private Long id;
    @Column(name = "ELEMA_COD_RIPARTIZIONE")
    private Long ripartizione;
    @Column(name = "ELEMA_COD_NAZIONE")
    private Long nazione;
    @Column(name = "ELEMA_COD_CONSOLATO")
    private Long consolato;
    @Column(name = "ELEMA_COD_SEZIONE")
    private Long sezione;
    @Column(name = "ELEMA_COD_CIRCOSCRIZIONE")
    private Long circoscrizione;
    @Column(name = "ELEMA_COGNOME")
    private String cognome;
    @Column(name = "ELEMA_NOME")
    private String nome;
    @Column(name = "ELEMA_DATA_NASCITA")
    private Date dataNascita;
    @Column(name = "ELEMA_LUOGO_NASCITA")
    private Long luogoNascita;
    @Column(name = "ELEMA_SESSO")
    private String sesso;
    @Column(name = "ELEMA_TIPCO_TIPODOCUMENTO")
    private Long tipoDocumento;
    @Column(name = "ELEMA_NUM_DOCUMENTO")
    private String numDocumento;
    @Column(name = "ELEMA_DATA_SCADENZA_DOCUMENTO")
    private Date dataScadenzaDocumento;

}
