package com.accenture.eVote.elettorims.model.response;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class LoginSpidResponse {

    @JsonProperty("iss")
    private String iss;
    @JsonProperty("jti")
    private String jti;
    @JsonProperty("sub")
    private String sub;
    @JsonProperty("exp")
    private String exp;
    @JsonProperty("iat")
    private String iat;
    @JsonProperty("env")
    private String env;
    @JsonProperty("idp")
    private String idp;
    @JsonProperty("service_id")
    private String service_id;
    @JsonProperty("SPID_name")
    private String name;
    @JsonProperty("SPID_familyName")
    private String familyName;
    @JsonProperty("SPID_placeOfBirth")
    private String placeOfBirth;
    @JsonProperty("SPID_dateOfBirth")
    private String dateOfBirth;
    @JsonProperty("SPID_gender")
    private String gender;
    @JsonProperty("SPID_fiscalNumber")
    private String fiscalNumber;
    @JsonProperty("SPID_mobilePhone")
    private String mobilePhone;
    @JsonProperty("SPID_digitalAddress")
    private String digitalAddress;
   /* @JsonProperty("SPID_email")
    private String email; */

    @Override
    public String toString() {
        return "LoginSpidResponse{" +
                "iss='" + iss + '\'' +
                ", jti='" + jti + '\'' +
                ", sub='" + sub + '\'' +
                ", exp='" + exp + '\'' +
                ", iat='" + iat + '\'' +
                ", env='" + env + '\'' +
                ", idp='" + idp + '\'' +
                ", service_id='" + service_id + '\'' +
                ", name='" + name + '\'' +
                ", familyName='" + familyName + '\'' +
                ", placeOfBirth='" + placeOfBirth + '\'' +
                ", dateOfBirth='" + dateOfBirth + '\'' +
                ", gender='" + gender + '\'' +
                ", fiscalNumber='" + fiscalNumber + '\'' +
                ", mobilePhone='" + mobilePhone + '\'' +
                ", digitalAddress='" + digitalAddress + '\'' +
               /* ", email='" + email + '\'' + */
                '}';
    }
}
