package com.accenture.eVote.elettorims.repository;

import com.accenture.eVote.elettorims.entity.ElettoreMAECI;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ElettoreMaeciRepository extends JpaRepository<ElettoreMAECI, Long> {

    List<ElettoreMAECI> findByCodiceFiscale(String cf);

    List<ElettoreMAECI> findByNomeAndCognomeAndDataNascita(String nome, String cognome, String dataNascita);

}
