package com.accenture.eVote.elettorims.util.enums;

import lombok.AllArgsConstructor;

@AllArgsConstructor

public enum ElettoriEnum {
    CONSENSO_ATTIVO(1L),

    CONSENSO_NON_ATTIVO(0L),

    //Finestra temporale espressione consenso al voto elettronico
    FINESTRA_CONSENSO(1L),

    //Finestra temporale espressione voto
    FINESTRA_VOTO(2L),
    SCHEDA_ACCETTATA(1L),
    SCHEDA_RIFIUTATA(0L);

    private final Long valore;

    public Long getValore() {
        return valore;
    }
}
