import { Component, OnInit } from '@angular/core';
import {AuthService} from "../../../../services/auth.service";
import {Router} from "@angular/router";
import {useAnimation} from "@angular/animations";

@Component({
  selector: 'app-mock-login',
  templateUrl: './mock-login.component.html',
  styleUrls: ['./mock-login.component.css']
})
export class MockLoginComponent implements OnInit {

  username?: string;

  constructor(
    private authService : AuthService,
    private router: Router,
  ) { }

  ngOnInit(): void {
  }

  login(){
    this.authService.mockLoginCall(this.username!);
    this.router.navigateByUrl('/app/home');
  }

}
