import { Component } from '@angular/core';
import { NavigationEnd, Router } from '@angular/router';

@Component({
  selector: 'app-footer',
  templateUrl: './footer.component.html',
  styleUrls: ['./footer.component.scss']
})
export class FooterComponent {
  public loginFooter: boolean = true;

  constructor(private router: Router) {
    /*mostra header completo in base alla pagina*/
    this.router.events.subscribe(event => {
      if (event instanceof NavigationEnd) {
        
        if(this.router.url.includes('/auth/login/')){
          this.loginFooter = false;
        }
        else{
          this.loginFooter = true;
        }
      }
      
    });
  }

  link(event:any){
    if(event.target.id === '1'){
      document.location.href = 'https://www.interno.gov.it/it';
    }
    else{
      document.location.href = 'https://dait.interno.gov.it/';
    }
  }
}
