export const environment = {
    production: false,
    //se impostato su 'n' skippa il controllo su mail e codice fiscale, se impostato su 'y' effettua il controllo
    flagControlloCF: 'n',
    apiSchede : 'http://localhost:8099/schede-ms',
    api: 'http://localhost:8099/elettori-ms',
    
    // api: 'http://localhost:8086/elettori-ms',
    urlVoto : 'http://localhost:4212/voto/app/home?token=',
    urlVotoCollaudo: "http://evote-coll.sie.interno.it/voto/app/home?token=",

    apiFake: 'http://localhost:8098/elettori-ms',
    loginFake : '/login-fake',

    //AUTH SERVICE
    loginAuthData:"/login/authsg/data?token=",
    //CONSENSO VOTO SERVICE
    trovaConsenso:"/protected/elettori/consenso-voto/trova-consenso",
    consensoVoto:"/protected/elettori/consenso-voto",
    consensoVotoTrovaVoto:"/protected/elettori/consenso-voto/trova-voto",
    schedaId:"/protected/scheda/?id=",
    verificaVoto:"/protected/elettori/info/verifica-voto",
    //LOGIN SERVICE
    tipiAutenticazione: '/login/authsg/tipi/autenticazione',
    loginAutocertificazione: '/protected/login/autocertificazione',
    loginAire: '/protected/login/aire',
    loginOtp: '/protected/login/otp`',
    //VOTO SERVICE
    scheda:'/protected/scheda',
    confermaSchede: '/protected/elettori/info/conferma-schede',
    postSchede:'/protected/scheda/schede',
    schedeAccettate: '/protected/scheda/schede-accettate',
    attributoQualificato : '/protected/oracle/qa',

    //POST-ELEZIONE SERVICE
    downlaodPDF:'/protected/elettori/info/download-ricevuta-voto',
    sendMail:'/protected/elettori/info/invio-ricevuta-voto',
    getElezioniPath:'/protected/scheda/storico-votazioni',
    getFlagVoto: '/protected/elettori/info/verifica-voto',
    setSchedePath: '/protected/scheda/ricevuta-schede',
    checkMailPath: '/protected/elettori/info/check-email'
};
