package com.accenture.eVote.filems.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ElettoreDTO {
    private Long userId;
    private String username;
    private String cognome;
    private String nome;
    private Date dataNascita;
    private String luogoNascita;
    private String luogoResidenza;
    private String indirizzoResidenza;
    private String statoEsteroResidenza;
    private String codiceFiscale;
    private String email;
    private String telefono;
    private Long flagValido;
    private Date tsCreazione;
    private Date tsModifica;
    private Long numDocumento;
    private Date dataScadenzaDoc;
    private String emailPec;
    private String sesso;
    private MetodoAutenticazioneDTO metodoAutenticazione;
    private TipoDocumentoDTO tipoDocumento;
}
