package com.accenture.eVote.filems.repository;

import com.accenture.eVote.filems.entity.DateElezioni;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface DateElezioniRepository extends JpaRepository<DateElezioni, Long> {
    @Query ("SELECT d FROM Elezioni e, DateElezioni d " +
            "WHERE e.idDataElezione = d.dataElezioneId AND e.codFaseElettorale != ?1 AND e.codFaseElettorale != ?2")
    DateElezioni getElezioneAttiva(Long faseIniziale, Long faseEliminata);
}


