package com.accenture.eVote.schedems.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CT_ALTNO_ALTRONOME")
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class AltroNome {

    @Id
    @Column(name = "ALTNO_SEQ_ALTRONOME_PK")
    private Long id;

    @Column(name = "ALTNO_DESCR_ALTRONOME")
    private String descrizione;
}
