package com.accenture.eVote.schedems.entity;

import com.accenture.eVote.schedems.entity.id.IdElettoreScheda;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@IdClass(IdElettoreScheda.class)
@Table(name = "CL_ELESC_ELETTORESCHEDA")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ElettoreScheda {

    @Id
    @Column(name = "ELESC_ELEVO_USER_ID")
    private Long userId;

    @Column(name = "ELESC_FLAG_ACCETTAZIONE")
    private Long flagAccettazione;

    @Id
    @Column(name = "ELESC_SCHFS_SCHEDAVOTO")
    private Long schedaVoto;
}