package com.accenture.eVote.schedems.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CL_ELTIP_ELEZIONITIPCANDID")
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class ElezioniTipoCandidatura {

    @Id
    @ManyToOne
    @JoinColumn(name = "ELTIP_TIPCA_TIPOCANDIDATURA")
    private TipiCandidatura tipiCandidatura;

    @Id
    @ManyToOne
    @JoinColumn(name = "ELTIP_TIPEL_TIPOELEZIONE")
    private TipoElezioni tipoElezioni;

}
