package com.accenture.eVote.schedems.entity;

import com.accenture.eVote.schedems.entity.id.IdSchedaFacSimileLista;
import com.fasterxml.jackson.annotation.JsonInclude;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
@Entity
@IdClass(IdSchedaFacSimileLista.class)
@Table(name = "CL_SFSLI_SCHEDAFACSIMILELISTE")
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class SchedaFacSimileLista {

    @Id
    @Column(name = "SFSLI_SCHFS_SCHEDAVOTO", insertable = false, updatable = false)
    private Long idScheda;

    @Id
    @Column(name = "SFSLI_LISTE_LISTA", insertable = false, updatable = false)
    private Long idLista;

    @ManyToOne
    @JoinColumn(name = "SFSLI_LISTE_LISTA")
    private Lista lista;

}
