package com.accenture.eVote.schedems.entity;

import com.accenture.eVote.schedems.entity.id.IdSchedaPreferenze;
import com.fasterxml.jackson.annotation.JsonInclude;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@IdClass(IdSchedaPreferenze.class)
@Table(name = "CT_PREFE_PREFERENZE_NEW")
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class SchedaPreferenze {

    @Id
    @Column(name = "PREFE_TIPEL_TIPOELEZIONE")
    private Long tipoElezione;

    @Id
    @Column(name = "PREFE_TERPA_GEO_ID")
    private String geoId;

    @Column(name = "PREFE_NUM_PREF")
    private Long numeroPreferenze;

}
