package com.accenture.eVote.schedems.repository;

import com.accenture.eVote.schedems.entity.ElettoreEnte;
import com.accenture.eVote.schedems.entity.id.IdElettoreEnte;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ElettoreEnteRepository extends JpaRepository<ElettoreEnte, IdElettoreEnte> {

    List<ElettoreEnte> findByGeoId(String geoId);

    List<ElettoreEnte> findByIdElettore(Long id);
}
