package com.accenture.eVote.urnams.repository;

import com.accenture.eVote.urnams.entity.VotoBc;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface VotoBcRepository extends JpaRepository<VotoBc, Long> {

    @Query("SELECT v FROM VotoBc v WHERE v.geoId IN ?1")
    List<VotoBc> findByGeoId(List<String> listGeoId);

    @Query("SELECT v.idSchedeVotate FROM VotoBc v")
    List<String> findSchedeVotate();
}
