package com.accenture.eVote.urnams.service;

import com.accenture.eVote.urnams.dto.ResponseSchedeUrna;
import com.accenture.eVote.urnams.dto.ResponseUrna;
import com.accenture.eVote.urnams.mapper.VotoBcMapper;
import com.accenture.eVote.urnams.repository.VotoBcRepository;
import jakarta.validation.Valid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UrnaService {

    @Autowired
    private VotoBcRepository votoBcRepository;
    @Autowired
    private VotoBcMapper votoBcMapper;

    public ResponseUrna getVotoBc(@Valid List<String> listGeoId) {
        return new ResponseUrna(votoBcMapper.toDto(votoBcRepository.findByGeoId(listGeoId)));
    }

    public ResponseSchedeUrna getSchedeVotate() {
        return new ResponseSchedeUrna(votoBcRepository.findSchedeVotate());
    }
}


