package it.evota.generate.repository;

import java.util.Date;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import it.evota.generate.entities.ListaCertificati;

@Repository
public interface ListaCertificatiRepository extends JpaRepository<ListaCertificati, Long> {

	/*
	 * @Query("SELECT e FROM ListaCertificati e \n" +
	 * "WHERE (e.startDate IS NULL OR e.startDate < CURRENT_DATE) \n" +
	 * "AND (e.endDate IS NULL OR e.endDate > CURRENT_DATE)") public
	 * List<ListaCertificati> findBySysdate();
	 */

    ListaCertificati findByStartDateIsNullAndEndDateIsNullOrStartDateBeforeAndEndDateAfterAndCertificateCodeEquals(Date startDate, Date endDate, String certificateCode);
}