package com.accenture.eVote.votoms.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ListaSchedaDTO {

    private Long idlista;
    private String descLista;
    private Long territorio; // il figlio lo recupero un livello sotto find by TERPA_TERPA_TERRPARTECIPANTE con l'id del padre
    private Long territorioPadre; // recuperato da geoId e id elezione (id elezione lo prendo dall'id scheda inviato) -> risultato univoco
    private String territorioDesc; // TERPA_DESCR_ENTE
    private String territorioPadreDesc; // TERPA_DESCR_ENTE
    private Long idElezione; // id elezione lo prendo dall'id scheda inviato
    private List<CandidatoSchedaDTO> listaCandidati;
}
