package com.accenture.eVote.votoms.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "CL_ELEZI_ELEZIONI")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Elezioni {

    @Id
    @Column(name = "ELEZI_ID_ELEZIONE_PK")
    private Long idElezione;

    @Column(name = "ELEZI_DATEL_DATAELEZIONE")
    private Long idDataElezione;

    @Column(name = "ELEZI_TIPEL_TIPOLOGIA_ELEZ")
    private Long tipologiaElezione;

    @Column(name = "ELEZI_COD_FASE_ELETTORALE")
    private Long codFaseElettorale;


}
