package com.accenture.eVote.votoms.repository;

import com.accenture.eVote.votoms.entity.Elezioni;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ElezioniRepository extends JpaRepository<Elezioni, Long> {

    @Query ("SELECT e " +
            "FROM Elezioni e, DateElezioni d " +
            "WHERE e.idDataElezione = d.idDataElezione AND e.codFaseElettorale != ?1")
    List<Elezioni> getElezioneAttiva(Long valore);

}

