package it.evota.registrate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import it.evota.registrate.entities.VotoBc;

@Repository
public interface VotoBcRepository extends JpaRepository<VotoBc, Long> {

	@Query(value = "SELECT ORABCTAB_HASH$ FROM VOTO_BC where id=:idParam", nativeQuery = true)
	String getSessionIdentitfier(@Param("idParam") Long id);

}