package it.evota.registrate.service;

import org.apache.logging.log4j.LogManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;

import jakarta.annotation.PostConstruct;

@Profile("!test")
@Component
public class AppInitializer {
	@Autowired
	private BcRegistrateService bcRegistrateService;

	
	@PostConstruct
	public void init() throws Exception {
		bcRegistrateService.readKeys();
	}
}
