package it.evota.registrate;

import java.io.FileWriter;
import java.security.KeyPair;
import java.security.KeyPairGenerator;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.util.Base64;

import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.jdbc.Sql;

import it.evota.registrate.repository.ListaCertificatiRepository;
import it.evota.registrate.service.BcRegistrateService;

@Sql("/testData.sql")
@SpringBootTest(classes = RegistrateEVotoApplication.class)
@AutoConfigureMockMvc
@ActiveProfiles("test")
@Disabled
class GenerateKeyPairApplicationTests {

	@Autowired
	BcRegistrateService service;

	@Autowired
	ListaCertificatiRepository repoCert;


	@Test
	public void generateAndSaveRSAKeys() {
        //Codice eliminato per motivi di sicurezza

	}
	public static void generateAndSaveRSAKeys(String publicKeyFilePath, String privateKeyFilePath) throws Exception {
        //Codice eliminato per motivi di sicurezza
    }

    private static void saveKeyToPEM(java.security.Key key, String keyType, String filePath) throws Exception {
        String keyPEM = formatPEM(key.getEncoded(), keyType);
        try (FileWriter fileWriter = new FileWriter(filePath)) {
            fileWriter.write(keyPEM);
        }
    }

    private static String formatPEM(byte[] keyBytes, String keyType) {
        String encoded = Base64.getEncoder().encodeToString(keyBytes);
        StringBuilder pem = new StringBuilder();
        pem.append("-----BEGIN ").append(keyType).append("-----\n");
        pem.append(chunkString(encoded, 64)).append("\n");
        pem.append("-----END ").append(keyType).append("-----");
        return pem.toString();
    }

    private static String chunkString(String str, int chunkSize) {
        int length = str.length();
        StringBuilder chunked = new StringBuilder(length + (length / chunkSize) + 2);
        for (int i = 0; i < length; i += chunkSize) {
            int end = Math.min(length, i + chunkSize);
            chunked.append(str, i, end);
            if (end < length) {
                chunked.append('\n');
            }
        }
        return chunked.toString();
    }


}
