package it.evota.validate.service;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;

import jakarta.annotation.PostConstruct;

@Profile("!test")
@Component
public class AppInitializer {
	@Autowired
	private BcValidateService bcValidateService;
	
	@PostConstruct
	public void init() throws Exception {
		bcValidateService.readKeys();
		
	}
}
